Bug 121164 - grub hangs when booting from SATA RAID 0
grub hangs when booting from SATA RAID 0
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-18 07:01 EDT by Maurice Pijpers
Modified: 2013-07-02 22:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:01:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maurice Pijpers 2004-04-18 07:01:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
When booting from from an SATA RAID Configuration the GRUB Boot loader
will only display "GRUB" and then the system will stop responding.


Version-Release number of selected component (if applicable):
grub-0.94-3

How reproducible:
Always

Steps to Reproduce:
1. Create a RAID 0 configuration with2 identical drives on VIA or
Promise controller.
2. Install Fedora core 2 test2 for x86_64 with GRUB on /dev/sge1
3. Reboot the system after installation.
    

Actual Results:  "GRUB" (only the word without the quotes) will be
displayed at the top of the screen and the system will stop responding

Expected Results:  The GRUB Boot menu should appear

Additional info:

This happens with The VIA VT8237 and the Promise PDC20378 Controllers
on the Asus K8V Deluxe mainboard. 2 SATA WDC 160 GB Drives are connect
to the controller, no other harddisk are present. The RAID Array is
defined as boot.
Comment 1 Alan Cox 2004-05-02 20:26:34 EDT
Do you have the bios raid mode disabled ?
Comment 2 Maurice Pijpers 2004-05-04 02:38:05 EDT
No the BIOS RAID mode is enabled (RAID 0) otherwise I will have 2 
seperate SATA disks and configuration does work.
Comment 3 Alan Cox 2004-05-04 03:58:00 EDT
If you are in BIOS raid mode then the BIOS thinks your disk is striped
as does the bios part of grub, while Linux thinks the disks are
seperate disks. Needless to say this gets it rather confused
Comment 4 Maurice Pijpers 2004-05-04 08:20:43 EDT
Then what is the proper way to configure Hardware RAID with FC2? Or 
can I only use software RAID ?
Comment 5 Alan Cox 2004-05-04 14:10:20 EDT
Most of the SATA "raid" is software raid, but handled by the
bios/windows driver as Fedora does with the "md" driver. The vendors
also tend not to give out formats. Its somehting Linux people are
working on improving but right at this instant doesn't include a
simple solution for using BIOS raid modes.
Comment 6 Maurice Pijpers 2004-05-05 05:41:01 EDT
This would mean that the hardware RAID as described above is not 
supported in FC2 ? Or can it be done (Howto ?) ? I'm asking because I 
would guess the hardware raid would be faster. Will try the software 
RAID this weekend. 
Comment 7 Alan Cox 2004-05-05 06:39:28 EDT
The VIA appears to be all software whatever the OS. Jeff has been
doing some work on promise but I don't know what state it is in
Comment 8 Benjamin Lebsanft 2004-11-26 03:03:31 EST
has anything related to this bug been done or is somebody working on
it as FC3 still does the same for me?
Comment 9 Alan Cox 2004-11-26 08:14:56 EST
Disable the BIOS "raid" setting and it ought to behave
Comment 10 Benjamin Lebsanft 2004-11-27 12:43:05 EST
how should I boot when the Bios doesn't detect my drives ? At least my
BIOS tells me "No Harddisks found" when disabling the sata bootrom in
the BIOS.
Comment 11 Alan Cox 2004-11-28 09:49:32 EST
The BIOS has no seperate setting for "RAID" v "non-RAID" /
Comment 12 John Bruell 2005-03-21 21:38:29 EST
I got exact same issue using MSI KT800 & SATA Raid 0 stripe. FC3 ran just fine 
on two consecutive drive spaces, but is not able to run on a stripe unless a 
driver option can be added perhaps?.FC4 Test 1 is similar.
Comment 13 Dave Jones 2005-07-15 15:22:35 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 14 Dave Jones 2005-10-02 20:01:35 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.